Package Gnumed :: Package business :: Module gmDICOM :: Class cOrthancServer |
[frames] | no frames]

# Class cOrthancServer

source code

Instance Methods
connect(self, host, port, user, password, expected_minimal_version=None, expected_name=None, expected_aet=None) | source code
get_url_browse_patient(self, patient_id) | source code
get_url_browse_study(self, study_id) | source code
get_matching_patients(self, person) | source code
get_patients_by_external_id(self, external_id=None) | source code
get_patients_by_name(self, name_parts=None, gender=None, dob=None, fuzzy=False) | source code
get_patients_by_name_parts(self, name_parts=None, gender=None, dob=None, fuzzy=False) | source code
get_studies_list_by_patient_name(self, name_parts=None, gender=None, dob=None, fuzzy=False) | source code
get_studies_list_by_external_id(self, external_id=None) | source code
get_study_as_zip(self, study_id=None, filename=None) | source code
get_study_as_zip_with_dicomdir(self, study_id=None, filename=None) | source code
get_studies_as_zip(self, study_ids=None, patient_id=None, filename=None) | source code
get_studies_with_dicomdir(self, study_ids=None, patient_id=None, target_dir=None, filename=None, create_zip=False) | source code
get_instance_dicom_tags(self, instance_id, simplified=True) | source code
get_instance_preview(self, instance_id, filename=None) | source code
get_instance(self, instance_id, filename=None) | source code
protect_patient(self, orthanc_id) | source code
unprotect_patient(self, orthanc_id) | source code
patient_is_protected(self, orthanc_id) | source code
verify_patient_data(self, orthanc_id) | source code
modify_patient_id(self, old_patient_id, new_patient_id) | source code
upload_dicom_file(self, filename, check_mime_type=False) | source code
upload_dicom_files(self, files=None, check_mime_type=False) | source code
upload_from_directory(self, directory=None, recursive=False, check_mime_type=False, ignore_other_files=True) | source code
upload_by_DICOMDIR(self, DICOMDIR=None) | source code
get_studies_list_by_orthanc_patient_list(self, orthanc_patients=None) | source code

Class Variables
| server_identification = `property(_get_server_identification, l`...``
| as_external_id_issuer = `property(_get_as_external_id_issuer, l`...``
| url_browse_patients = `property(_get_url_browse_patients, lambd`...``

Class Variable Details

  ### server_identification Value:
      property(_get_server_identification, lambda x: x)

  ### as_external_id_issuer Value:
      property(_get_as_external_id_issuer, lambda x: x)

  ### url_browse_patients Value:
      property(_get_url_browse_patients, lambda x: x)